---

connect_client_admin_password: "C0nnect-Admin!"
connect_realm_admin_password: "C0nnect-Realm-Admin!"

current_realm_clients: [
  {
    name: '{{ connect_client_id }}',
    clientId: "{{ connect_client_id }}",
    admin_url: '',
    root_url: '',
    redirect_uris: [
      "{{ http_s }}://{{ connect_base_url }}/*",
      "{{ http_s }}://{{ wordpress_base_url }}/*",
    ],
    secret: '{{ connect_client_id }}',
    web_origins: [
        "{{ http_s }}://{{ connect_base_url }}",
        "{{ http_s }}://{{ wordpress_base_url }}",
    ]
  }
]

current_realm_users_base: [
  {
    "username": "{{ connect_client_admin_username }}",
    "password": "{{ connect_client_admin_password }}",
  }
]
current_realm_users_wordpress: [
  {
    "username": "{{ connect_wordpress_buergerportal_username | default() }}",
    "password": "{{ connect_wordpress_buergerportal_password | default() }}",
  }
]
current_realm_users: >-
  {%- if 'connect_wordpress' in groups -%}
  [{{ current_realm_users_base + current_realm_users_wordpress }}]
  {%- else -%}
  [{{ current_realm_users_base }}]
  {%- endif -%}

current_realm_admin_users: [
  {
    "username": "{{ connect_realm_admin_username }}",
    "password": "{{ connect_realm_admin_password }}",
  }
]